## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame.StopAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.apps.svgbrowser.JSVGViewerFrame.StopAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action, JComponentModifier

Enclosing class:
  JSVGViewerFrame

    public class JSVGViewerFrame.StopAction

extends javax.swing.AbstractAction
implements JComponentModifier

To stop the current processing.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JSVGViewerFrame.StopAction()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `addJComponent(javax.swing.JComponent c)` Gives a reference to a component to this object
`void` `update(boolean enabled)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGViewerFrame.StopAction

    public JSVGViewerFrame.StopAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addJComponent

    public void addJComponent(javax.swing.JComponent c)

  Description copied from interface: `JComponentModifier`
  Gives a reference to a component to this object

  Specified by:
    `addJComponent` in interface `JComponentModifier`
  Parameters:
    `c` - the component associed with this object

### update

    public void update(boolean enabled)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.